nodejs-should-1.2.2-alt1_3.noarch.rpm


Advertisement

Description

nodejs-should - A test framework agnostic BDD-style assertions for Node.js

Distribution: ALT Linux Sisyphus
Repository: Autoimports noarch
Package name: nodejs-should
Package version: 1.2.2
Package release: alt1_3
Package architecture: noarch
Package type: rpm
Installed size: 35.23 KB
Download size: 35.23 KB
Official Mirror: ftp.altlinux.org
should is an expressive, readable, test framework agnostic, behavior-driven development (BDD)-style assertion library for Node.js. It extends the Object prototype with a single non-enumerable getter that allows you to express how that object should behave. should literally extends Node's assert module. For example, should.equal(str, 'foo') will work, just as assert.equal(str, 'foo') would, and should.AssertionError is assert.AssertionError, meaning any test framework supporting this constructor will function properly with should.

Alternatives

Requires

Provides

  • nodejs-should = 1.2.2-alt1_3
  • npm(should) = 1.2.2

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
      
    2. Update the package index:
      # sudo apt-get update
    3. Install nodejs-should rpm package:
      # sudo apt-get install nodejs-should

    Files

    • /usr/lib/node_modules/should/index.js
    • /usr/lib/node_modules/should/package.json
    • /usr/lib/node_modules/should/lib/eql.js
    • /usr/lib/node_modules/should/lib/should.js
    • /usr/share/doc/nodejs-should-1.2.2/History.md
    • /usr/share/doc/nodejs-should-1.2.2/Readme.md
    • /usr/share/doc/nodejs-should-1.2.2/examples/runner.js
    Advertisement
    Advertisement